#
# spec file for package trytond_purchase_request
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2017-2024 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1550
%define pythons python3
%define mypython python3
%define mysitelib %python3_sitelib
%else
%{?sle15_python_module_pythons}
%define mypython %pythons
%define mysitelib %{expand:%%%{mypython}_sitelib}
%endif

%define majorver 6.0
Name:           trytond_purchase_request
Version:        %{majorver}.5
Release:        3.1

URL:            http://www.tryton.org/
Source:         http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz
## Source2:        http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz.asc
## Source3:        https://keybase.io/cedrickrier/pgp_keys.asc?fingerprint=7C5A4360F6DF81ABA91FD54D6FF50AFE03489130#/%{name}.keyring
Summary:        Tryton module for purchase requests
License:        GPL-3.0-only
Group:          Productivity/Office/Management

BuildRequires:  %{mypython}-devel
BuildRequires:  %{mypython}-pip
BuildRequires:  %{mypython}-setuptools
BuildRequires:  %{mypython}-wheel
BuildRequires:  fdupes
BuildRequires:  python-rpm-generators
BuildRequires:  python-rpm-macros

Requires:       trytond
Requires:       trytond_product
Requires:       trytond_purchase

BuildArch:      noarch

%description
The purchase_request module of the Tryton application platform allows you to create a purchase request as pre-step for a purchase

%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{mysitelib}

%files
%defattr(-,root,root)
%{mysitelib}/tryton*

%changelog
* Mon Apr 29 2024 Axel Braun <axel.braun@gmx.de>
- sources not signed anymore
* Sat Jan 13 2024 Axel Braun <axel.braun@gmx.de>
- Switch to wheel and %%{?sle15_python_module_pythons}
* Sat Nov  4 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.5 - Bugfix Release
* Thu Oct 19 2023 Daniel Garcia Moreno <daniel.garcia@suse.com>
- Remove %%python3_install prefix and root options, that's included in
  the macro by default.
* Sun Feb 19 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.4 - Bugfix Release
* Mon Feb  6 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.3 - Bugfix Release
* Mon Jan 16 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.2 - Bugfix Release
* Wed Mar  2 2022 Axel Braun <axel.braun@gmx.de>
- Version 6.0.1 - Bugfix Release
* Sat Feb 12 2022 Axel Braun <axel.braun@gmx.de>
- Version bump to Tryton 6.0 series
* Fri Jun 18 2021 Axel Braun <axel.braun@gmx.de>
- Version 5.0.5 - Bugfix Release
* Sat Feb 27 2021 Andreas Stieger <andreas.stieger@gmx.de>
- add upstream signing key and validate source signature
* Sun Jan 24 2021 Axel Braun <axel.braun@gmx.de>
- Adaption to new python macros
* Sat Apr  4 2020 Axel Braun <axel.braun@gmx.de>
- Version 5.0.4 - Bugfix Release
* Tue Dec  3 2019 Axel Braun <axel.braun@gmx.de>
- Version 5.0.3 - Bugfix Release
* Thu Nov 21 2019 Axel Braun <axel.braun@gmx.de>
- version 5.0.2 (GNU Health 3.6 series)
* Mon Dec 10 2018 Axel Braun <axel.braun@gmx.de>
- Version 4.6.1 - bugfix release
* Mon Dec 10 2018 Axel Braun <axel.braun@gmx.de>
- Version 4.2.4 - Bugfix Release
* Tue Dec  5 2017 axel.braun@gmx.de
- Version 4.2.3 - Bugfix Release
* Thu Nov  9 2017 axel.braun@gmx.de
- Version 4.2.2 - Bugfix Release
* Mon Jul  3 2017 axel.braun@gmx.de
- Version 4.2.1
* Mon Nov 28 2016 axel.braun@gmx.de 
- Tryton Release 4.2
* Wed Aug  3 2016 axel.braun@gmx.de
- initial build on OBS
  Versio 4.0.2
